# ionoscloud\_dns\_record

The **DNS Record** can be used to search for and return an existing DNS Record. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned. When this happens, please refine your search and make sure that your resources have unique names.

> ⚠️ Only tokens are accepted for authorization in the **ionoscloud\_dns\_record** data source. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

### By ID

```hcl
data "ionoscloud_dns_record" "example" {
  id = "record_id"
  zone_id = "zone_id"
}
```

### By name

```hcl
data "ionoscloud_dns_record" "example" {
  name = "recordexample"
  zone_id = "zone_id"
}
```

### By name with partial match

```hcl
data "ionoscloud_dns_record" "example" {
  name = "record"
  partial_match = true
  zone_id = "zone_id"
}
```

## Argument reference

* `zone_id` - (Required)\[string] The ID of the DNS Zone in which the DNS Record can be found.
* `id` - (Optional)\[string] The ID of the DNS Record you want to search for.
* `name` - (Optional)\[string] The name of the DNS Record you want to search for.
* `partial_match` - (Optional)\[bool] Whether partial matching is allowed or not when using name argument. Default value is false.

Either `id` or `name` must be provided. If none, or both are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The UUID of the DNS Record.
* `name` - The name of the DNS Record.
* `type` - The type of the DNS Record.
* `content` - The content of the DNS Record.
* `ttl` - The time to live of the DNS Record.
* `priority` - The priority for the DNS Record.
* `enabled` - Indicates if the DNS Record is active or not.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dns_record.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
